package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 逆向子单表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-27
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvReverseOrderLineDao;
import com.heyu.api.data.entity.vv.VvReverseOrderLineEntity;
import com.heyu.api.data.service.vv.VvReverseOrderLineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvReverseOrderLineServiceImpl extends ServiceImpl<VvReverseOrderLineDao, VvReverseOrderLineEntity> implements VvReverseOrderLineService {


    @Autowired
	private VvReverseOrderLineDao vvReverseOrderLineDao;



	@Override
	public VvReverseOrderLineEntity selectVvReverseOrderLineById(Long id){
		return vvReverseOrderLineDao.selectVvReverseOrderLineById(id);
	}



	@Override
	public Long insertVvReverseOrderLine(VvReverseOrderLineEntity vvReverseOrderLine){
		return vvReverseOrderLineDao.insertVvReverseOrderLine(vvReverseOrderLine);
	}



	@Override
	public Long insertOrUpdateVvReverseOrderLine(VvReverseOrderLineEntity vvReverseOrderLine){
		return vvReverseOrderLineDao.insertOrUpdateVvReverseOrderLine(vvReverseOrderLine);
	}



	@Override
	public int updateVvReverseOrderLineById(VvReverseOrderLineEntity vvReverseOrderLine){
		return vvReverseOrderLineDao.updateVvReverseOrderLineById(vvReverseOrderLine);
	}



	@Override
	public int updateCoverVvReverseOrderLineById(VvReverseOrderLineEntity vvReverseOrderLine){
		return vvReverseOrderLineDao.updateCoverVvReverseOrderLineById(vvReverseOrderLine);
	}



	@Override
	public int deleteVvReverseOrderLineById(Long id){
		return vvReverseOrderLineDao.deleteVvReverseOrderLineById(id);
	}



}
